Subject: Bug???

From: "Steven K. Buehler" <[email-masked]>
Date: Tue, 03 Jun 1997 11:20:32 -0500

wu-ftpd-2.4.2-beta-13
SunOS 5.5 (Solaris 2.5)
Pentium Pro 150

I think that I might have found a bug.  One of my customers noticed it.  Anyway, when a file is in the pub directory and you get a directory listing thru an Ftp client, the date and time are not the same as the date and time of the file when you look at it thru Telnet.
The server shows it as:
-rw-r--r--   1 amerynet customer    1803 Jun  3 10:54 CRIMEID.bin
-rw-r--r--   1 amerynet customer   13129 Jun  3 11:04 bookmark.htm

While looking at it thru Netscape or Ws_ftp or Win95's ftp, it looks like this:
CRIMEID.bin    1 Kb    Mon Jun 03 15:54:00 1996 Binary Executable
bookmark.htm  12 Kb    Mon Jun 03 16:04:00 1996 Hypertext Markup Language

The time is wrong and so is the Year.  The welcome messages have the %T variable in them and show the correct date and time....The server (when you telnet in and do a "date" command) shows the correct date and time also.  It isn't just his or my computer that might be off on time either.  The times on our computers are correct.  This happened from over 10 computers that uploaded that we have checked so far.  I figure that there just must be a bug in Wu-ftpd.  Has anybody else seen this and knows of a fix?  If so, I would like to know it also.

Thanks
Steve

======================================================
Steven K. Buehler
S & B Computers
Rockford Illinois, USA
Phone: 815-398-7169
Fax: 815-398-7266
======================================================